Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class ConsumedHttpMessage

    java.lang.Object
      org.hornetq.rest.queue.ConsumedMessage
          org.hornetq.rest.queue.ConsumedHttpMessage

    public class ConsumedHttpMessage

extends ConsumedMessage

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.ConsumedMessage
`message, POSTED_AS_HTTP_MESSAGE`

Constructor Summary
`ConsumedHttpMessage(org.hornetq.api.core.client.ClientMessage message)`

Method Summary
`void` | `build(javax.ws.rs.core.Response.ResponseBuilder builder)`

Methods inherited from class org.hornetq.rest.queue.ConsumedMessage
`buildHeaders, createConsumedMessage, getMessageID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumedHttpMessage

    public ConsumedHttpMessage(org.hornetq.api.core.client.ClientMessage message)

Method Detail

### build

    public void build(javax.ws.rs.core.Response.ResponseBuilder builder)

  Specified by:
    `build` in class `ConsumedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.